PGASetMaxFitnessRank(1)

NAME
PGASetMaxFitnessRank - The value of the parameter Max when using linear ranking for fitness determination.

DESCRIPTION
The default value is 1.2. The value must be from the interval [1.0, 2.0]. The fitness type must have been set to PGA_FITNESS_RANKING with PGASetFitnessType for this function call to have any effect.

INPUT PARAMETERS
ctx - context variable
max - the value of the parameter Max when using linear ranking

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
void  PGASetMaxFitnessRank(ctx, fitness_rank_max)
PGAContext *ctx
double fitness_rank_max

LOCATION
fitness.c

EXAMPLE
Example:
PGAContext *ctx;
:
PGASetMaxFitnessRank(ctx, 1.1);